Zum Inhalt springen
meniodevelopermenio DashboardVorschau

POST: MenuImport · necta Menu Import

POST: MenuImport

necta Menu Import MenuImport
POST/MenuImport{?lpId,cardId,monday}

The POST /MenuImport endpoint will schedule a menu import for necta

Parameter

lpIdlongErforderlich

Reference Id of the brand, defined by menio

cardIdlongErforderlich

Reference Id of the menu card, defined by menio

mondaystringErforderlich

Monday of the week to import e.g 2020-01-06

Request-Header

Authorization
usr={username}&pwd={password}
Originaler Blueprint-Ausschnitt
API Blueprint
### POST: MenuImport [POST /MenuImport{?lpId,cardId,monday}]

The POST /MenuImport endpoint will schedule a menu import for necta

+ Parameters
    + lpId (long, required) - Reference Id of the brand, defined by qnips
    + cardId (long, required) - Reference Id of the menu card, defined by qnips
    + monday (string, required) - Monday of the week to import e.g 2020-01-06

+ Request

    + Headers
        
            Authorization: usr={username}&pwd={password}

+ Response 200 (application/json)
    
    + Body

            {
                "MenuImportSuccessful": true,
                "SortimentImportResult": null,
                "AffectedCalenderWeek": null
            }